The partner has the capability to manage API keys for their merchants. This includes creating and deleting API keys.
This is the same managing capability as through the partner panel. The partner can manage the API keys for their individual merchants. API keys are not interchangeable from among different merchants, even if they are each associated with the same partner. Merchants cannot use API keys from any other merchant. Standalone merchants, those merchants not having associated partners, manage their API keys directly.
An API key is required only if application or account needs to integrate with the API suite. The number of API keys is determined by the partner or standalone merchants. For more information about API keys, see Creating an API Key.
The importance of API keys is that they are used to create API tokens, needed to make endpoint calls. To generate an API token, see Generating an API Token.
This API group is a collection of endpoints used to manage API keys. It can be used for the following:
- To list available keys, see
GET /pay-api/v1/merchants/tokens - To create an API key, see
POST /pay-api/v1/merchants/tokens - To delete and API key, see
DELETE /pay-api/v1/merchants/tokens/{{clientId}}
GET {{baseURL}}/pay-api/v1/merchants
This endpoint lists merchants associated with the authenticated partner (ISV).
The following query parameters are search filters used to specify the retuurned results.
See Also:
To list merchant API keys, see GET /pay-api/v1/merchants/tokens.
To create a merchant API key, see POST /pay-api/v1/merchants/tokens.
To revoke a merchant API key, see DELETE /pay-api/v1/merchants/tokens/{clientId}.
Specifies the page number of the returned search results.
A page is considered each set of the pageSize value.
The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.
Values above the maximum page value will complete successfully but not return any items.
Example: 0
Specifies the number of items for each page of the returned search results.
A page is considered each set of the pageSize value.
The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.
Example: 50
Specifies the earliest inclusive transaction date (in an ISO 8601 date-time UTC format).
This value may be paired with the field lastTransactionDateTo to form an inclusive range.
Example: 2026-02-19T20:24:52.934Z
Specifies the latest inclusive transaction date (in an ISO 8601 date-time UTC format).
This value may be paired with the field lastTransactionDateFrom to form an inclusive range.
Example: 2026-03-06T14:24:52.934Z
- Mock serverhttps://developer.flute.com/_mock/api-reference/pay-api/v1/merchants
- Sandbox environmenthttps://sandbox.api.flute.com/pay-api/v1/merchants
- Production environmenthttps://api.flute.com/pay-api/v1/merchants
curl -i -X GET \
'https://developer.flute.com/_mock/api-reference/pay-api/v1/merchants?page=0&pageSize=15&orderBy=string&asc=false&search=Peppared&mccCodeId=28&statusId=1&createdFrom=2026-02-19T20%3A24%3A52.934Z&createdTo=2026-03-06T14%3A24%3A52.934Z&modifiedFrom=2026-02-19T20%3A24%3A52.934Z&modifiedTo=2026-03-06T14%3A24%3A52.934Z&lastTransactionDateFrom=2026-02-19T20%3A24%3A52.934Z&lastTransactionDateTo=2026-03-06T14%3A24%3A52.934Z' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "items": [ { "merchantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "companyName": "Peppared Street Cafe" } ], "total": 1 }